#include "stdio.h"
#include "easygen.h"
#include "easygen.cpp"

const int maxn = 1000;

int n, m;
string s[maxn];

int main(int argc, char* argv[])
{
   try {
      testInfo a(argc, argv);
      n = a["n"];
      m = a["m"];
      int i, j, k, mode = a.getIntParam("mode");
      int p = a.getIntParam("swaps");
      for (i = 0; i < n; i++) {
         string ss = "";
         for (j = 0; j < m; j++) {
            int v = 0;
            if (mode) v = (i+j) % 2;
            ss += v ? '+' : '-';
         }
         s[i] = ss;
      }
      for (k = 0; k < p; k++) {
         i = genRandInt(0, n-1);
         j = genRandInt(0, m-1);
         s[i][j] = s[i][j] == '+' ? '-' : '+';
      }
      k = genRandInt(0, 1);
      if (k)
         for (i = 0; i < n; i++)
            for (j = 0; j < m; j++)
               s[i][j] = s[i][j] == '+' ? '-' : '+';
      for (i = 0; i < n; i++)
         a["a"][i+1]["s"] = s[i];
   } catch (genError a) {
      cout << a.err();
   }
   return 0;
}